Downloading and installing Software from PSN Store with older Firmware?

Discussion in 'PS Vita - Hacking & Homebrew' started by xXDungeon_CrawlerXx, Feb 11, 2017.

  1. xXDungeon_CrawlerXx
    OP

    xXDungeon_CrawlerXx GBAtemp Maniac

    Member
    1,256
    580
    Jul 29, 2015
    Liverpool
    Hey Guys,

    I got a PSTV a few days ago and noticed, that my PSN Account got a Title which could can download on my PSTV.
    I guess my PSTV needs to be on recent Firmware 3.63 but I won't update it since I have an exploit installed on it.

    This is the software I want to install:
    [​IMG]

    is there a way to bypass the firmwarecheck and install Software from PSN Store on older Firmware?
     
  2. Voxel

    Voxel Fable Junkie

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,208
    5,956
    Jun 27, 2015
    United Kingdom
    England, UK
    Unfortunately, there's no way at the moment to spoof to the latest firmware and access PSN/PS Store from lower firmwares.

    Also, just in case, you should make sure you're running 3.51 or lower if you want to access the PSM Dev app anyway, otherwise it won't work. :unsure:
    If you own a PS3, it might be possible for you to download your PSM dev app from the download list in the PS Store, then transfer it to your Vita via USB, then follow the steps to setup PSM+ (daily license for use with Rejuvenate, but still lets you access all the features of PSM Dev still).

    Other than that, I don't think there is any other possible method.
     
    Last edited by Voxel, Feb 11, 2017
  3. Sonic Angel Knight

    Sonic Angel Knight GBAtemp Legend

    Member
    10,272
    5,215
    May 27, 2016
    United States
    New York
    Can't download psmobile stuff from PS3. Not sure what this is exactly. I remember trying to download playstation mobile and installing it on my android, it never worked. :P

    From what i remember, you supposed to be able to play games on smartphones, i think specifically that sony brand xperia android with the gamepad/keyboard? I may be wrong though so i dunno. But i have it on my psvita, just never used it.
     
  4. Voxel

    Voxel Fable Junkie

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,208
    5,956
    Jun 27, 2015
    United Kingdom
    England, UK
    @Sonic Angel Knight, The Dev Assistant isn't classed as PS Mobile. It's an actual Vita application, and you don't have to install anything like the PSM Runtime package to run it either. Hence, it should be able to be downloaded from your download list, if you bought it in time before the full closure. I have definitely seen it in the download list of other peoples' PS3s and Vitas/PSTVs.
    The dev assistants are basically apps that run self-created PSM content in a kind of 'emulator'/sandbox-like environment.
     
    Last edited by Voxel, Feb 11, 2017
  5. xXDungeon_CrawlerXx
    OP

    xXDungeon_CrawlerXx GBAtemp Maniac

    Member
    1,256
    580
    Jul 29, 2015
    Liverpool

    Hm... why do I need to be on Firmware 3.51 to use it?
    Unortunately I'm on 3.60 (Henkaku and stuff) and a Downgrade wouldn't be possible, I guess?
    I hope there will be a way to download and install stuff on lower firmwares sometime :(
     
  6. Voxel

    Voxel Fable Junkie

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,208
    5,956
    Jun 27, 2015
    United Kingdom
    England, UK
    Sony revoked PSM Dev availability on Vitas from 3.52 onwards, preventing people from running the Dev Assistants altogether. :(
    I actually bought another Vita, on 3.35, specifically for my PSM Dev work. :P But I still do agree that it's very inconvenient, and hope that more stuff like HENkaku on lower FWs, and a way to spoof to the latest FW for PSN, under 3.60, will be possible in the future...
     
    xXDungeon_CrawlerXx likes this.
  7. xXDungeon_CrawlerXx
    OP

    xXDungeon_CrawlerXx GBAtemp Maniac

    Member
    1,256
    580
    Jul 29, 2015
    Liverpool
    I hope so xP
    Yea, bought a PSTV with Firmware 3.60 for 10€ which is cheap as fuck xD
    I hope there will be a way to downgrade someday or reactivate the ability to install PSM Dev Assistant on PS Vitas with higher firmwares.
     
    Voxel likes this.
  8. xXDungeon_CrawlerXx
    OP

    xXDungeon_CrawlerXx GBAtemp Maniac

    Member
    1,256
    580
    Jul 29, 2015
    Liverpool
  9. Voxel

    Voxel Fable Junkie

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,208
    5,956
    Jun 27, 2015
    United Kingdom
    England, UK
    That tutorial uses the old email exploit, so you might have to tweak the steps half-way through a little bit. (i.e. use VitaShell to transfer the email attachments to the Vita instead of the mail exploit)

    It installs the bubble, however you still wouldn't be able to boot it, so we'd still have to wait for that solution for PSM Dev on 3.60. :(
     
  10. xXDungeon_CrawlerXx
    OP

    xXDungeon_CrawlerXx GBAtemp Maniac

    Member
    1,256
    580
    Jul 29, 2015
    Liverpool
    ohhh, that sucks >~<
    I really wanted to use Unity on PSVita, too :/